OWLAPI3OntologyFactory (Alignment API and Server)
Date: 2010-03-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.inrialpes.exmo.ontowrap.owlapi30
Class OWLAPI3OntologyFactory

    java.lang.Object
      fr.inrialpes.exmo.ontowrap.OntologyFactory
          fr.inrialpes.exmo.ontowrap.owlapi30.OWLAPI3OntologyFactory

    public class OWLAPI3OntologyFactory

extends OntologyFactory

Field Summary
`private static OntologyCache<OWLAPI3Ontology>` | `cache`
`private String` | `formalismId`
`private URI` | `formalismUri`
`private org.semanticweb.owlapi.model.OWLOntologyManager` | `manager`

Fields inherited from class fr.inrialpes.exmo.ontowrap.OntologyFactory
`ALL, ANY, ASSERTED, DIRECT, FULL, GLOBAL, INDIRECT, INHERITED, instances, LOCAL, MENTIONNED, NAMED, UNASSERTED, UNNAMED`

Constructor Summary
`OWLAPI3OntologyFactory()`

Method Summary
`void` | `clearCache()` All Ontologies must implement clearCache() which unload their ontologies if any cache is enabled.
`org.semanticweb.owlapi.model.OWLOntologyManager` | `getManager()`
`HeavyLoadedOntology` | `loadOntology(URI uri)` Load an ontology, cache enabled These methods should rather be in a LoadableOntologyFactory
`OWLAPI3Ontology` | `newOntology(Object ontology)` Encapsulate an ontology already in the environment These methods should rather be in a LoadableOntologyFactory

Methods inherited from class fr.inrialpes.exmo.ontowrap.OntologyFactory
`clear, getDefaultFactory, getFactory, setDefaultFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### formalismUri

    private URI formalismUri

### formalismId

    private String formalismId

### manager

    private org.semanticweb.owlapi.model.OWLOntologyManager manager

### cache

    private static OntologyCache<OWLAPI3Ontology> cache

Constructor Detail

### OWLAPI3OntologyFactory

    public OWLAPI3OntologyFactory()

Method Detail

### newOntology

    public OWLAPI3Ontology newOntology(Object ontology)
                                throws OntowrapException

  Description copied from class: `OntologyFactory`
  Encapsulate an ontology already in the environment These methods should rather be in a LoadableOntologyFactory

  Specified by:
    `newOntology` in class `OntologyFactory`
  Throws:
    `OntowrapException`

### loadOntology

    public HeavyLoadedOntology loadOntology(URI uri)
                                     throws OntowrapException

  Description copied from class: `OntologyFactory`
  Load an ontology, cache enabled These methods should rather be in a LoadableOntologyFactory

  Specified by:
    `loadOntology` in class `OntologyFactory`
  Throws:
    `OntowrapException`

### getManager

    public org.semanticweb.owlapi.model.OWLOntologyManager getManager()

### clearCache

    public void clearCache()

  Description copied from class: `OntologyFactory`
  All Ontologies must implement clearCache() which unload their ontologies if any cache is enabled.

  Specified by:
    `clearCache` in class `OntologyFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Alignment API and Server 4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) INRIA & friends, 2003-2010